Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Interface RemoteCall

public interface RemoteCall

This interface is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `done()`
`void` | `executeCall()`
`java.io.ObjectInput` | `getInputStream()`
`java.io.ObjectOutput` | `getOutputStream()`
`java.io.ObjectOutput` | `getResultStream(boolean flag)`
`void` | `releaseInputStream()`
`void` | `releaseOutputStream()`

Method Detail

### getOutputStream

    public java.io.ObjectOutput getOutputStream()
                                         throws java.io.IOException

### releaseOutputStream

    public void releaseOutputStream()
                             throws java.io.IOException

### getInputStream

    public java.io.ObjectInput getInputStream()
                                       throws java.io.IOException

### releaseInputStream

    public void releaseInputStream()
                            throws java.io.IOException

### getResultStream

    public java.io.ObjectOutput getResultStream(boolean flag)
                                         throws java.io.IOException,
                                                java.io.StreamCorruptedException

### executeCall

    public void executeCall()
                     throws java.lang.Exception

### done

    public void done()
              throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD